PHPExcel_Worksheet_Drawing

# Class: PHPExcel_Worksheet_Drawing

Source Location: /PHPExcel/Worksheet/Drawing.php

### Class Overview

    PHPExcel_Worksheet_BaseDrawing
       |
       --PHPExcel_Worksheet_Drawing

PHPExcel_Worksheet_Drawing

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Methods

- __construct
- getExtension
- getFilename
- getHashCode
- getIndexedFilename
- getPath
- setPath
- __clone

### Child classes:

PHPExcel_Worksheet_HeaderFooterDrawing
  PHPExcel_Worksheet_HeaderFooterDrawing

### Inherited Variables

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::$_coordinates
PHPExcel_Worksheet_BaseDrawing::$_description
PHPExcel_Worksheet_BaseDrawing::$_height
PHPExcel_Worksheet_BaseDrawing::$_name
PHPExcel_Worksheet_BaseDrawing::$_offsetX
PHPExcel_Worksheet_BaseDrawing::$_offsetY
PHPExcel_Worksheet_BaseDrawing::$_resizeProportional
PHPExcel_Worksheet_BaseDrawing::$_rotation
PHPExcel_Worksheet_BaseDrawing::$_shadow
PHPExcel_Worksheet_BaseDrawing::$_width
PHPExcel_Worksheet_BaseDrawing::$_worksheet

### Inherited Methods

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::__construct()
  Create a new PHPExcel_Worksheet_BaseDrawing
PHPExcel_Worksheet_BaseDrawing::getCoordinates()
  Get Coordinates
PHPExcel_Worksheet_BaseDrawing::getDescription()
  Get Description
PHPExcel_Worksheet_BaseDrawing::getHashCode()
  Get hash code
PHPExcel_Worksheet_BaseDrawing::getHeight()
  Get Height
PHPExcel_Worksheet_BaseDrawing::getImageIndex()
  Get image index
PHPExcel_Worksheet_BaseDrawing::getName()
  Get Name
PHPExcel_Worksheet_BaseDrawing::getOffsetX()
  Get OffsetX
PHPExcel_Worksheet_BaseDrawing::getOffsetY()
  Get OffsetY
PHPExcel_Worksheet_BaseDrawing::getResizeProportional()
  Get ResizeProportional
PHPExcel_Worksheet_BaseDrawing::getRotation()
  Get Rotation
PHPExcel_Worksheet_BaseDrawing::getShadow()
  Get Shadow
PHPExcel_Worksheet_BaseDrawing::getWidth()
  Get Width
PHPExcel_Worksheet_BaseDrawing::getWorksheet()
  Get Worksheet
PHPExcel_Worksheet_BaseDrawing::setCoordinates()
  Set Coordinates
PHPExcel_Worksheet_BaseDrawing::setDescription()
  Set Description
PHPExcel_Worksheet_BaseDrawing::setHeight()
  Set Height
PHPExcel_Worksheet_BaseDrawing::setName()
  Set Name
PHPExcel_Worksheet_BaseDrawing::setOffsetX()
  Set OffsetX
PHPExcel_Worksheet_BaseDrawing::setOffsetY()
  Set OffsetY
PHPExcel_Worksheet_BaseDrawing::setResizeProportional()
  Set ResizeProportional
PHPExcel_Worksheet_BaseDrawing::setRotation()
  Set Rotation
PHPExcel_Worksheet_BaseDrawing::setShadow()
  Set Shadow
PHPExcel_Worksheet_BaseDrawing::setWidth()
  Set Width
PHPExcel_Worksheet_BaseDrawing::setWidthAndHeight()
  Set width and height with proportional resize
PHPExcel_Worksheet_BaseDrawing::setWorksheet()
  Set Worksheet
PHPExcel_Worksheet_BaseDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

### Class Details

[line 36]
PHPExcel_Worksheet_Drawing

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 48]

`PHPExcel_Worksheet_Drawing __construct( )`

Create a new PHPExcel_Worksheet_Drawing

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::__construct()
  Create a new PHPExcel_Worksheet_HeaderFooterDrawing

Overrides PHPExcel_Worksheet_BaseDrawing::__construct() (Create a new PHPExcel_Worksheet_BaseDrawing)
[ Top ]

### method getExtension [line 82]

`string getExtension( )`

Get Extension

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getExtension()
  Get Extension

[ Top ]

### method getFilename [line 62]

`string getFilename( )`

Get Filename

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getFilename()
  Get Filename

[ Top ]

### method getHashCode [line 127]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getHashCode()
  Get hash code

Overrides PHPExcel_Worksheet_BaseDrawing::getHashCode() (Get hash code)
[ Top ]

### method getIndexedFilename [line 71]

`string getIndexedFilename( )`

Get indexed filename (using image index)

#### Tags:

access: | public

[ Top ]

### method getPath [line 92]

`string getPath( )`

Get Path

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getPath()
  Get Path

[ Top ]

### method setPath [line 104]

`PHPExcel_Worksheet_Drawing setPath( [string $pValue = ''], [boolean $pVerifyFile = true])`

Set Path

#### Tags:

throws: | Exception
access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setPath()
  Set Path

#### Parameters:

string | $pValue | File path
boolean | $pVerifyFile | Verify file

[ Top ]

### method __clone [line 138]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

Overrides PHPExcel_Worksheet_BaseDrawing::__clone() (Implement PHP __clone to create a deep clone, not just a shallow copy.)
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:48 +0200 by phpDocumentor 1.4.4